Bug 29463 - Umlauts in search field get changed into replacement character
Summary: Umlauts in search field get changed into replacement character
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Peter Vashchuk
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on: 15812
Blocks:
  Show dependency treegraph
 
Reported: 2021-11-12 10:27 UTC by Peter Vashchuk
Modified: 2021-11-22 10:14 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29463: Escape utf8 characters before appending search query to url. (1.44 KB, patch)
2021-11-12 13:15 UTC, Peter Vashchuk
Details | Diff | Splinter Review
Bug 29463: Escape utf8 characters before appending search query to url (1.53 KB, patch)
2021-11-12 17:49 UTC, Joonas Kylmälä
Details | Diff | Splinter Review
Bug 29463: Escape utf8 characters before appending search query to url (1.63 KB, patch)
2021-11-19 08:55 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Vashchuk 2021-11-12 10:27:43 UTC Comment hidden (obsolete)
Comment 1 Peter Vashchuk 2021-11-12 11:57:05 UTC
Our customers can't search for patrons with umlauts in their names using the "Check out" search menu on the main page of Koha. Other search menus seem to work fine.

To reproduce:
1) Go to the main page of Koha and in the "Check out" search window type something like "näyttö". Press the search button.
2) See that it gets replaced with a replacement character.
Comment 2 Peter Vashchuk 2021-11-12 13:15:54 UTC
Created attachment 127583 [details] [review]
Bug 29463: Escape utf8 characters before appending search query to url.

To test:
1) go to the main page of Koha and search in the "Check out" search window type "näyttö".
2) see that umlauts got replaced with replacement characters.
3) apply the patch.
4) repeat 1-2, ensure that umlauts displayed correctly and are not getting replaced with replacement characters.
Comment 3 Joonas Kylmälä 2021-11-12 17:49:09 UTC
Created attachment 127593 [details] [review]
Bug 29463: Escape utf8 characters before appending search query to url

To test:
1) go to the main page of Koha and search in the "Check out" search window type "näyttö".
2) see that umlauts got replaced with replacement characters.
3) apply the patch.
4) repeat 1-2, ensure that umlauts displayed correctly and are not getting replaced with replacement characters.

JK: remove period from commit title
Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>
Comment 4 Joonas Kylmälä 2021-11-12 17:52:08 UTC
Regression from bug 15812, would be nice to get this in before the 21.11 release.
Comment 5 Marcel de Rooy 2021-11-19 08:55:37 UTC
Created attachment 127846 [details] [review]
Bug 29463: Escape utf8 characters before appending search query to url

To test:
1) go to the main page of Koha and search in the "Check out" search window type "näyttö".
2) see that umlauts got replaced with replacement characters.
3) apply the patch.
4) repeat 1-2, ensure that umlauts displayed correctly and are not getting replaced with replacement characters.

JK: remove period from commit title
Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Jonathan Druart 2021-11-19 14:15:57 UTC
Pushed to master for 21.11, thanks to everybody involved!